Whamcloud - gitweb
LU-3301 utils: Replace %llu with LPU64
authorChristopher J. Morrone <morrone2@llnl.gov>
Thu, 9 May 2013 00:28:02 +0000 (17:28 -0700)
committerOleg Drokin <oleg.drokin@intel.com>
Thu, 9 May 2013 16:13:35 +0000 (12:13 -0400)
Replace incorrect use of %llu with LPU64 to allow compilation
on ppc64.

Change-Id: I85794527a43ed1577cf43ddb3470a9c8d070f11b
Signed-off-by: Christopher J. Morrone <morrone2@llnl.gov>
Reviewed-on: http://review.whamcloud.com/6296
Reviewed-by: Bobi Jam <bobijam.xu@intel.com>
Tested-by: Hudson
Reviewed-by: Andreas Dilger <andreas.dilger@intel.com>
Tested-by: Maloo <whamcloud.maloo@gmail.com>
lustre/utils/mount_utils.c

index 3c2331f..80fc189 100644 (file)
@@ -701,8 +701,8 @@ int file_create(char *path, __u64 size)
         */
        size_max = (off_t)1 << (_FILE_OFFSET_BITS - 1 - 10);
        if (size >= size_max) {
-               fprintf(stderr, "%s: %llu KB: Backing store size must be "
-                       "smaller than %llu KB\n", progname, size, size_max);
+               fprintf(stderr, "%s: "LPU64" KB: Backing store size must be "
+                       "smaller than "LPU64" KB\n", progname, size, size_max);
                return EFBIG;
        }